#!/bin/bash

sleep 1m

RX=$(cat /sys/module/sunxi_gmac/parameters/rx_delay)
TX=$(cat /sys/module/sunxi_gmac/parameters/tx_delay)
tx)



date > /root/r${RX}_t${TX}.txt
ethtool eth0 >> /root/r${RX}_t${TX}.txt
timeout -k 70s iperf  -c 192.168.1.230 -t60 >> /root/r${RX}_t${TX}.txt
timeout 60s wget --output-document=/dev/null http://192.168.1.230/test.img 2>&1 | grep % >> /root/r${RX}_t${TX}.txt
dmesg | tail -n 30 >> /root/r${RX}_t${TX}.txt
ifconfig eth0 >> /root/r${RX}_t${TX}.txt



if [ $RX -eq 31 ] && [  $TX -eq 7 ]; then
 exit 1 
fi

if [  $TX -eq 7 ]; then
  TX="0"
  ((RX++))
else
  ((TX++))
fi


# 2807                         tx-delay = <0x1>;   =>0-7
# 2808                         rx-delay = <0x0>;   =>0-31
sed -i '2806s/.*/                         tx-delay = <0x'$(printf "%X" $TX)'>;/' /boot/pine64/sun50i-a64-pine64-plus.dts
sed -i '2807s/.*/                         rx-delay = <0x'$(printf "%X" $RX)'>;/' /boot/pine64/sun50i-a64-pine64-plus.dts
dtc -I dts -O dtb -o /boot/pine64/sun50i-a64-pine64-plus.dtb /boot/pine64/sun50i-a64-pine64-plus.dts
reboot
#echo b > /proc/sysrq-trigger 
